# Analytics

Alloy Forge also allows you to query basic analytics on the performance of your workflows. This is helpful if you want to retrieve data such as how many app actions are being invoked for every workflow or the number of times a workflow has errored.

Let's take a look at our workflow analytics endpoint below.

## Retrieve Analytics about Workflows

<mark style="color:blue;">`GET`</mark> `https://api.runalloy.com/forge/2021-12/workflow/:workflowId/analytics`

This endpoint returns the `totalAppActions` (the number of times each block inside the workflow has been executed over the course of the workflow's lifetime), the `totalWorkflowRuns` (which represents the number of times the workflow has been invoked) and the `totalErrors` (the number of times the workflow has had an error).

Remember to pass over a child workflow Id.

#### Headers

| Name                                                            | Type   | Description                          |
| --------------------------------------------------------------- | ------ | ------------------------------------ |
| Authorization Bearer {apiKey}<mark style="color:red;">\*</mark> | String | Your Forge API key for authorization |

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
        totalAppActions: 100,
        totalWorkflowRuns: 5,
        totalErrors: 2,
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://gregg.gitbook.io/alloy-developer/reference/api-reference/analytics.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
